Linux 74-214-172-243.cprapid.com 4.18.0-553.120.1.el8_10.x86_64 #1 SMP Mon Apr 20 18:04:27 EDT 2026 x86_64
Apache
: 74.214.172.243 | : 216.73.216.140
18 Domain
8.2.31
cardrly
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
NetworkManager
3.41
MB
-rwxr-xr-x
accessdb
12.59
KB
-rwxr-xr-x
addgnupghome
3
KB
-rwxr-xr-x
addpart
24.86
KB
-rwxr-xr-x
adduser
148.16
KB
-rwxr-xr-x
agetty
62.39
KB
-rwxr-xr-x
alternatives
36.66
KB
-rwxr-xr-x
anacron
40.99
KB
-rwxr-xr-x
apachectl
4.69
KB
-rwxr-xr-x
applygnupgdefaults
2.17
KB
-rwxr-xr-x
arp
64.71
KB
-rwxr-xr-x
arpd
109.52
KB
-rwxr-xr-x
arping
28.74
KB
-rwxr-xr-x
atd
32.63
KB
-rwxr-xr-x
atrun
67
B
-rwxr-xr-x
auditctl
45.04
KB
-rwxr-xr-x
auditd
151.73
KB
-rwxr-xr-x
augenrules
4.04
KB
-rwxr-xr-x
aureport
122.35
KB
-rwxr-xr-x
ausearch
130.36
KB
-rwxr-xr-x
autrace
16.54
KB
-rwxr-x---
avcstat
16.4
KB
-rwxr-xr-x
badblocks
32.59
KB
-rwxr-xr-x
biosdecode
21.45
KB
-rwxr-xr-x
blkdeactivate
15.97
KB
-r-xr-xr-x
blkdiscard
29.05
KB
-rwxr-xr-x
blkid
98.66
KB
-rwxr-xr-x
blkmapd
53.48
KB
-rwxr-xr-x
blkzone
49.75
KB
-rwxr-xr-x
blockdev
41.3
KB
-rwxr-xr-x
bridge
158.25
KB
-rwxr-xr-x
capsh
32.45
KB
-rwxr-xr-x
cfdisk
98.41
KB
-rwxr-xr-x
cgdisk
206.55
KB
-rwxr-xr-x
chcpu
28.83
KB
-rwxr-xr-x
chgpasswd
69.69
KB
-rwxr-xr-x
chkconfig
45.11
KB
-rwxr-xr-x
chpasswd
61.42
KB
-rwxr-xr-x
chronyd
375.66
KB
-rwxr-xr-x
chroot
41.45
KB
-rwxr-xr-x
clock
65.22
KB
-rwxr-xr-x
clockdiff
20.43
KB
-rwxr-xr-x
consoletype
11.86
KB
-rwxr-xr-x
convertquota
78.68
KB
-rwxr-xr-x
cracklib-check
13.05
KB
-rwxr-xr-x
cracklib-format
251
B
-rwxr-xr-x
cracklib-packer
13.05
KB
-rwxr-xr-x
cracklib-unpacker
9.03
KB
-rwxr-xr-x
create-cracklib-dict
990
B
-rwxr-xr-x
crond
73.94
KB
-rwxr-xr-x
ctrlaltdel
24.79
KB
-rwxr-xr-x
ctstat
25.33
KB
-rwxr-xr-x
dcb
155.04
KB
-rwxr-xr-x
ddns-confgen
20.46
KB
-rwxr-xr-x
debugfs
231.63
KB
-rwxr-xr-x
delpart
24.86
KB
-rwxr-xr-x
depmod
159.95
KB
-rwxr-xr-x
devlink
215.87
KB
-rwxr-xr-x
dhclient
453.68
KB
-rwxr-xr-x
dhclient-script
32.86
KB
-rwxr-xr-x
dmfilemapd
24.55
KB
-r-xr-xr-x
dmidecode
141.8
KB
-rwxr-xr-x
dmsetup
158.64
KB
-r-xr-xr-x
dmstats
158.64
KB
-r-xr-xr-x
dnssec-checkds
936
B
-rwxr-xr-x
dnssec-coverage
938
B
-rwxr-xr-x
dnssec-dsfromkey
60.84
KB
-rwxr-xr-x
dnssec-importkey
60.84
KB
-rwxr-xr-x
dnssec-keyfromlabel
64.75
KB
-rwxr-xr-x
dnssec-keygen
72.84
KB
-rwxr-xr-x
dnssec-keymgr
934
B
-rwxr-xr-x
dnssec-revoke
56.74
KB
-rwxr-xr-x
dnssec-settime
60.84
KB
-rwxr-xr-x
dnssec-signzone
117.2
KB
-rwxr-xr-x
dnssec-verify
52.84
KB
-rwxr-xr-x
dosfsck
65.13
KB
-rwxr-xr-x
dosfslabel
61.1
KB
-rwxr-xr-x
dovecot
157.84
KB
-rwxr-xr-x
dovecot_cpshutdown
3.27
KB
-rwxr-xr-x
dpkg-fsys-usrunmess
12.11
KB
-rwxr-xr-x
dumpe2fs
32.52
KB
-rwxr-xr-x
e2freefrag
16.42
KB
-rwxr-xr-x
e2fsck
328.52
KB
-rwxr-xr-x
e2image
36.61
KB
-rwxr-xr-x
e2label
110.63
KB
-rwxr-xr-x
e2mmpstatus
32.52
KB
-rwxr-xr-x
e2undo
20.38
KB
-rwxr-xr-x
e4crypt
24.55
KB
-rwxr-xr-x
e4defrag
28.49
KB
-rwxr-xr-x
edquota
91.24
KB
-rwxr-xr-x
efibootdump
20.52
KB
-rwxr-xr-x
efibootmgr
41.98
KB
-rwxr-xr-x
ether-wake
73.99
KB
-rwxr-xr-x
ethtool
557.79
KB
-rwxr-xr-x
exicyclog
11.1
KB
-rwxr-xr-x
exigrep
11.44
KB
-rwxr-xr-x
exim
1.53
MB
-rwsr-xr-x
exim_checkaccess
4.83
KB
-rwxr-xr-x
exim_dbmbuild
24.69
KB
-rwxr-xr-x
exim_dumpdb
43.56
KB
-rwxr-xr-x
exim_fixdb
49.05
KB
-rwxr-xr-x
exim_lock
26.59
KB
-rwxr-xr-x
exim_tidydb
43.78
KB
-rwxr-xr-x
eximstats
149.14
KB
-rwxr-xr-x
exinext
8.03
KB
-rwxr-xr-x
exiqgrep
6.58
KB
-rwxr-xr-x
exiqsumm
6.29
KB
-rwxr-xr-x
exiwhat
4.42
KB
-rwxr-xr-x
exportfs
82.37
KB
-rwxr-xr-x
faillock
20.52
KB
-rwxr-xr-x
fatlabel
61.1
KB
-rwxr-xr-x
fcgistarter
17.11
KB
-rwxr-xr-x
fdformat
33.17
KB
-rwxr-xr-x
fdisk
130.91
KB
-rwxr-xr-x
filefrag
16.46
KB
-rwxr-xr-x
findfs
12.38
KB
-rwxr-xr-x
fix-info-dir
7.84
KB
-rwxr-xr-x
fixfiles
10.48
KB
-rwxr-xr-x
fixparts
74.91
KB
-rwxr-xr-x
fsck
53.47
KB
-rwxr-xr-x
fsck.cramfs
41.41
KB
-rwxr-xr-x
fsck.ext2
328.52
KB
-rwxr-xr-x
fsck.ext3
328.52
KB
-rwxr-xr-x
fsck.ext4
328.52
KB
-rwxr-xr-x
fsck.fat
65.13
KB
-rwxr-xr-x
fsck.minix
98.75
KB
-rwxr-xr-x
fsck.msdos
65.13
KB
-rwxr-xr-x
fsck.vfat
65.13
KB
-rwxr-xr-x
fsck.xfs
1.92
KB
-rwxr-xr-x
fsfreeze
16.38
KB
-rwxr-xr-x
fstrim
49.6
KB
-rwxr-xr-x
fuse2fs
70.39
KB
-rwxr-xr-x
fuser
38.14
KB
-rwxr-xr-x
g13-syshelp
189.76
KB
-rwxr-xr-x
gdisk
214.46
KB
-rwxr-xr-x
genhomedircon
29.27
KB
-rwxr-xr-x
genhostid
11.86
KB
-rwxr-xr-x
genl
121.41
KB
-rwxr-xr-x
genrandom
12.38
KB
-rwxr-xr-x
getcap
12.35
KB
-rwxr-xr-x
getenforce
7.84
KB
-rwxr-xr-x
getpcaps
12.27
KB
-rwxr-xr-x
getsebool
11.87
KB
-rwxr-xr-x
groupadd
95.34
KB
-rwxr-xr-x
groupdel
91.09
KB
-rwxr-xr-x
groupmems
61.48
KB
-rwxr-xr-x
groupmod
99.38
KB
-rwxr-xr-x
grpck
61.47
KB
-rwxr-xr-x
grpconv
57.27
KB
-rwxr-xr-x
grpunconv
57.26
KB
-rwxr-xr-x
grub2-bios-setup
1.16
MB
-rwxr-xr-x
grub2-get-kernel-settings
2.68
KB
-rwxr-xr-x
grub2-install
1.44
MB
-rwxr-xr-x
grub2-macbless
1.14
MB
-rwxr-xr-x
grub2-mkconfig
8.68
KB
-rwxr-xr-x
grub2-ofpathname
246.27
KB
-rwxr-xr-x
grub2-probe
1.16
MB
-rwxr-xr-x
grub2-reboot
3.99
KB
-rwxr-xr-x
grub2-rpm-sort
283.15
KB
-rwxr-xr-x
grub2-set-bootflag
16.35
KB
-rwsr-xr-x
grub2-set-default
3.45
KB
-rwxr-xr-x
grub2-set-password
3.05
KB
-rwxr-xr-x
grub2-setpassword
3.05
KB
-rwxr-xr-x
grub2-sparc64-setup
1.16
MB
-rwxr-xr-x
grub2-switch-to-blscfg
8.6
KB
-rwxr-xr-x
grubby
260
B
-rwxr-xr-x
gss-server
24.61
KB
-rwxr-xr-x
gssproxy
132.08
KB
-rwxr-xr-x
halt
218.45
KB
-rwxr-xr-x
hardlink
17.09
KB
-rwxr-xr-x
hdparm
131.91
KB
-rwxr-xr-x
htcacheclean
44.36
KB
-rwxr-xr-x
httpd
991.46
KB
-rwxr-xr-x
hwclock
65.22
KB
-rwxr-xr-x
iconvconfig
33.05
KB
-rwxr-xr-x
ifconfig
80.86
KB
-rwxr-xr-x
ifdown
2.07
KB
-rwxr-xr-x
ifenslave
24.95
KB
-rwxr-xr-x
ifstat
117.67
KB
-rwxr-xr-x
ifup
5.33
KB
-rwxr-xr-x
imunify-notifier
9.82
MB
-rwxr-xr-x
init
1.54
MB
-rwxr-xr-x
insmod
159.95
KB
-rwxr-xr-x
install-info
50.23
KB
-rwxr-xr-x
installkernel
323
B
-rwxr-xr-x
intel_sdsi
15.62
KB
-rwxr-xr-x
ip
693.3
KB
-rwxr-xr-x
ip6tables
220.8
KB
-rwxr-xr-x
ip6tables-apply
6.89
KB
-rwxr-xr-x
ip6tables-restore
220.8
KB
-rwxr-xr-x
ip6tables-restore-translate
220.8
KB
-rwxr-xr-x
ip6tables-save
220.8
KB
-rwxr-xr-x
ip6tables-translate
220.8
KB
-rwxr-xr-x
ipmaddr
21
KB
-rwxr-xr-x
ipset
9.01
KB
-rwxr-xr-x
iptables
220.8
KB
-rwxr-xr-x
iptables-apply
6.89
KB
-rwxr-xr-x
iptables-restore
220.8
KB
-rwxr-xr-x
iptables-restore-translate
220.8
KB
-rwxr-xr-x
iptables-save
220.8
KB
-rwxr-xr-x
iptables-translate
220.8
KB
-rwxr-xr-x
iptunnel
25
KB
-rwxr-xr-x
irqbalance
62.28
KB
-rwxr-xr-x
irqbalance-ui
41.29
KB
-rwxr-xr-x
isc-hmac-fixup
11.85
KB
-rwxr-xr-x
kexec
194.98
KB
-rwxr-xr-x
key.dns_resolver
24.52
KB
-rwxr-xr-x
kpartx
49.05
KB
-rwxr-xr-x
lchage
16.41
KB
-rwxr-xr-x
ldattach
32.99
KB
-rwxr-xr-x
ldconfig
986.13
KB
-rwxr-xr-x
lgroupadd
11.88
KB
-rwxr-xr-x
lgroupdel
11.88
KB
-rwxr-xr-x
lgroupmod
19.88
KB
-rwxr-xr-x
lid
16.27
KB
-rwxr-xr-x
lnewusers
19.87
KB
-rwxr-xr-x
lnstat
25.33
KB
-rwxr-xr-x
load_policy
12.28
KB
-rwxr-xr-x
logrotate
93.03
KB
-rwxr-xr-x
logsave
16.41
KB
-rwxr-xr-x
losetup
90.59
KB
-rwxr-xr-x
lpasswd
20.35
KB
-rwxr-xr-x
lshw
969.55
KB
-rwxr-xr-x
lsmod
159.95
KB
-rwxr-xr-x
luseradd
19.88
KB
-rwxr-xr-x
luserdel
15.88
KB
-rwxr-xr-x
lusermod
19.88
KB
-rwxr-xr-x
lwresd
840.93
KB
-rwxr-xr-x
makedumpfile
425.19
KB
-rwxr-xr-x
mariadbd
25.46
MB
-rwxr-xr-x
matchpathcon
12.37
KB
-rwxr-xr-x
mdadm
620.75
KB
-rwxr-xr-x
mdmon
379.51
KB
-rwxr-xr-x
mii-diag
25.4
KB
-rwxr-xr-x
mii-tool
21.03
KB
-rwxr-xr-x
mkdict
251
B
-rwxr-xr-x
mkdosfs
39.07
KB
-rwxr-xr-x
mkdumprd
12.68
KB
-rwxr-xr-x
mke2fs
138.45
KB
-rwxr-xr-x
mkfadumprd
2.23
KB
-rwxr-xr-x
mkfs
16.48
KB
-rwxr-xr-x
mkfs.cramfs
41.27
KB
-rwxr-xr-x
mkfs.ext2
138.45
KB
-rwxr-xr-x
mkfs.ext3
138.45
KB
-rwxr-xr-x
mkfs.ext4
138.45
KB
-rwxr-xr-x
mkfs.fat
39.07
KB
-rwxr-xr-x
mkfs.minix
86.56
KB
-rwxr-xr-x
mkfs.msdos
39.07
KB
-rwxr-xr-x
mkfs.vfat
39.07
KB
-rwxr-xr-x
mkfs.xfs
475.98
KB
-rwxr-xr-x
mkhomedir_helper
24.44
KB
-rwxr-xr-x
mklost+found
11.86
KB
-rwxr-xr-x
mksquashfs
186.83
KB
-rwxr-xr-x
mkswap
86.48
KB
-rwxr-xr-x
modinfo
159.95
KB
-rwxr-xr-x
modprobe
159.95
KB
-rwxr-xr-x
modsec-sdbm-util
25.83
KB
-rwxr-x---
mount.nfs
197.24
KB
-rwxr-xr-x
mount.nfs4
197.24
KB
-rwxr-xr-x
mountstats
42.22
KB
-rwxr-xr-x
mysqld
25.46
MB
-rwxr-xr-x
named
840.93
KB
-rwxr-xr-x
named-checkconf
40.79
KB
-rwxr-xr-x
named-checkzone
36.63
KB
-rwxr-xr-x
named-compilezone
36.63
KB
-rwxr-xr-x
named-journalprint
11.85
KB
-rwxr-xr-x
nameif
16.98
KB
-rwxr-xr-x
newusers
107.23
KB
-rwxr-xr-x
nfsconf
37.48
KB
-rwxr-xr-x
nfsconvert
13.03
KB
-rwxr-xr-x
nfsdcld
65.87
KB
-rwxr-xr-x
nfsdclddb
10
KB
-rwxr-xr-x
nfsdclnts
9.02
KB
-rwxr-xr-x
nfsdcltrack
49.78
KB
-rwxr-xr-x
nfsidmap
45.35
KB
-rwxr-xr-x
nfsiostat
23.36
KB
-rwxr-xr-x
nfsref
65.8
KB
-rwxr-xr-x
nfsstat
35.52
KB
-rwxr-xr-x
nft
24.41
KB
-rwxr-xr-x
nologin
11.87
KB
-rwxr-xr-x
nscd
156.68
KB
-rwxr-xr-x
nsec3hash
12.29
KB
-rwxr-xr-x
nstat
113.57
KB
-rwxr-xr-x
ownership
12.4
KB
-rwxr-xr-x
packer
13.05
KB
-rwxr-xr-x
pam_console_apply
45.2
KB
-rwxr-xr-x
pam_timestamp_check
11.87
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
parted
85.6
KB
-rwxr-xr-x
partprobe
16.39
KB
-rwxr-xr-x
partx
94.5
KB
-rwxr-xr-x
pdns_server
6.26
MB
-rwxr-xr-x
pidof
16.7
KB
-rwxr-xr-x
ping
66.13
KB
-rwxr-xr-x
ping6
66.13
KB
-rwxr-xr-x
pivot_root
12.38
KB
-rwxr-xr-x
plipconfig
12.71
KB
-rwxr-xr-x
poweroff
218.45
KB
-rwxr-xr-x
pwck
57.27
KB
-rwxr-xr-x
pwconv
53.1
KB
-rwxr-xr-x
pwhistory_helper
20.44
KB
-rwxr-xr-x
pwunconv
53.13
KB
-rwxr-xr-x
quot
78.67
KB
-rwxr-xr-x
quotacheck
115.75
KB
-rwxr-xr-x
quotaoff
83.16
KB
-rwxr-xr-x
quotaon
83.16
KB
-rwxr-xr-x
quotastats
16.54
KB
-rwxr-xr-x
raid-check
3.7
KB
-rwxr-xr-x
rdisc
24.55
KB
-rwxr-xr-x
rdma
187.38
KB
-rwxr-xr-x
readprofile
20.55
KB
-rwxr-xr-x
reboot
218.45
KB
-rwxr-xr-x
repquota
83.24
KB
-rwxr-xr-x
request-key
24.38
KB
-rwxr-xr-x
resize2fs
64.91
KB
-rwxr-xr-x
resizepart
41.57
KB
-rwxr-xr-x
resolvconf
195.75
KB
-rwxr-xr-x
restorecon
20.53
KB
-rwxr-xr-x
restorecon_xattr
16.41
KB
-rwxr-xr-x
rfkill
53.46
KB
-rwxr-xr-x
rmmod
159.95
KB
-rwxr-xr-x
rndc
36.53
KB
-rwxr-xr-x
rndc-confgen
20.45
KB
-rwxr-xr-x
rotatelogs
30.51
KB
-rwxr-xr-x
route
67.63
KB
-rwxr-xr-x
rpc.gssd
106.54
KB
-rwxr-xr-x
rpc.idmapd
61.73
KB
-rwxr-xr-x
rpc.mountd
163.04
KB
-rwxr-xr-x
rpc.nfsd
49.91
KB
-rwxr-xr-x
rpc.statd
103.29
KB
-rwxr-xr-x
rpcbind
61.55
KB
-rwxr-xr-x
rpcctl
9.41
KB
-rwxr-xr-x
rpcdebug
19.38
KB
-rwxr-xr-x
rpcinfo
32.64
KB
-rwxr-xr-x
rsyslogd
724.73
KB
-rwxr-xr-x
rtacct
46.94
KB
-rwxr-xr-x
rtcwake
49.3
KB
-rwxr-xr-x
rtmon
117.27
KB
-rwxr-xr-x
rtstat
25.33
KB
-rwxr-xr-x
runlevel
218.45
KB
-rwxr-xr-x
runq
1.53
MB
-rwsr-xr-x
runuser
48.99
KB
-rwxr-xr-x
sasldblistusers2
20.77
KB
-rwxr-xr-x
saslpasswd2
16.42
KB
-rwxr-xr-x
sedispatch
20.52
KB
-rwxr-xr-x
sefcontext_compile
65.35
KB
-rwxr-xr-x
selabel_digest
12.28
KB
-rwxr-xr-x
selabel_lookup
12.27
KB
-rwxr-xr-x
selabel_lookup_best_match
11.89
KB
-rwxr-xr-x
selabel_partial_match
11.88
KB
-rwxr-xr-x
selinux_check_access
12.36
KB
-rwxr-xr-x
selinuxconlist
11.88
KB
-rwxr-xr-x
selinuxdefcon
11.88
KB
-rwxr-xr-x
selinuxenabled
7.84
KB
-rwxr-xr-x
selinuxexeccon
11.86
KB
-rwxr-xr-x
semanage
41.18
KB
-rwxr-xr-x
semodule
29.27
KB
-rwxr-xr-x
sendmail
16.91
KB
-rwxr-sr-x
service
3.64
KB
-rwxr-xr-x
sestatus
20.41
KB
-rwxr-xr-x
setcap
16.27
KB
-rwxr-xr-x
setenforce
12.27
KB
-rwxr-xr-x
setfiles
20.53
KB
-rwxr-xr-x
setquota
91.38
KB
-rwxr-xr-x
setroubleshootd
3.34
KB
-rwxr-xr-x
setsebool
16.38
KB
-rwxr-xr-x
sfdisk
118.51
KB
-rwxr-xr-x
sgdisk
198.05
KB
-rwxr-xr-x
showmount
21.06
KB
-rwxr-xr-x
shutdown
218.45
KB
-rwxr-xr-x
sim_server
11.87
KB
-rwxr-xr-x
skdump
16.91
KB
-rwxr-xr-x
sktest
12.81
KB
-rwxr-xr-x
slattach
43.76
KB
-rwxr-xr-x
sm-notify
78.13
KB
-rwxr-xr-x
smartctl
907.08
KB
-rwxr-xr-x
smartd
733.2
KB
-rwxr-xr-x
sos
627
B
-rwxr-xr-x
sos-collector
127
B
-rwxr-xr-x
sosreport
117
B
-rwxr-xr-x
ss
191.3
KB
-rwxr-xr-x
sshd
869.7
KB
-rwxr-xr-x
sss_cache
61.09
KB
-rwxr-xr-x
sssd
73.01
KB
-rwxr-xr-x
start-statd
838
B
-rwxr-xr-x
start-stop-daemon
45.98
KB
-rwxr-xr-x
suexec
25.3
KB
-rwsr-xr-x
sulogin
49.24
KB
-rwxr-xr-x
sw-engine-fpm
20.12
MB
-rwxr-xr-x
swaplabel
16.5
KB
-rwxr-xr-x
swapoff
20.75
KB
-rwxr-xr-x
swapon
49.41
KB
-rwxr-xr-x
switch_root
16.49
KB
-rwxr-xr-x
sysctl
28.88
KB
-rwxr-xr-x
syspurpose
415
B
-rwxr-xr-x
tcpdump
1.01
MB
-rwxr-xr-x
tcpslice
32.63
KB
-rwxr-xr-x
tcsd
309.72
KB
-rwxr-xr-x
telinit
218.45
KB
-rwxr-xr-x
timedatex
33.43
KB
-rwxr-xr-x
tipc
163.07
KB
-rwxr-xr-x
tmpwatch
35.47
KB
-rwxr-xr-x
tracepath
20.44
KB
-rwxr-xr-x
tracepath6
20.44
KB
-rwxr-xr-x
tsig-keygen
20.46
KB
-rwxr-xr-x
tune2fs
110.63
KB
-rwxr-xr-x
tuned
3.88
KB
-rwxr-xr-x
tuned-adm
6.5
KB
-rwxr-xr-x
udevadm
424.56
KB
-rwxr-xr-x
umount.nfs
197.24
KB
-rwxr-xr-x
umount.nfs4
197.24
KB
-rwxr-xr-x
umount.udisks2
11.89
KB
-rwxr-xr-x
unbound-anchor
57.34
KB
-rwxr-xr-x
unix_chkpwd
36.86
KB
-rwxr-xr-x
unix_update
36.86
KB
-rwx------
unsquashfs
99.57
KB
-rwxr-xr-x
update-alternatives
36.66
KB
-rwxr-xr-x
update-smart-drivedb
14.44
KB
-rwxr-xr-x
useradd
148.16
KB
-rwxr-xr-x
userdel
107.29
KB
-rwxr-xr-x
usermod
144.11
KB
-rwxr-xr-x
usernetctl
12.41
KB
-rwxr-xr-x
uuserver
15.88
KB
-rwxr-xr-x
vdpa
118.04
KB
-rwxr-xr-x
vigr
68.05
KB
-rwxr-xr-x
vipw
68.05
KB
-rwxr-xr-x
virt-what
14.22
KB
-rwxr-xr-x
visudo
239.28
KB
-rwxr-xr-x
vmcore-dmesg
28.58
KB
-rwxr-xr-x
vpddecode
16.47
KB
-rwxr-xr-x
weak-modules
33.6
KB
-rwxr-xr-x
whmapi0
3.33
MB
-rwxr-xr-x
whmapi1
3.33
MB
-rwxr-xr-x
whmlogin
2.33
KB
-rwxr-xr-x
wipefs
41.12
KB
-rwxr-xr-x
xfs_admin
1.38
KB
-rwxr-xr-x
xfs_bmap
695
B
-rwxr-xr-x
xfs_copy
434.59
KB
-rwxr-xr-x
xfs_db
760.47
KB
-rwxr-xr-x
xfs_estimate
12.39
KB
-rwxr-xr-x
xfs_freeze
800
B
-rwxr-xr-x
xfs_fsr
53.41
KB
-rwxr-xr-x
xfs_growfs
422.48
KB
-rwxr-xr-x
xfs_info
1.26
KB
-rwxr-xr-x
xfs_io
188.28
KB
-rwxr-xr-x
xfs_logprint
454.7
KB
-rwxr-xr-x
xfs_mdrestore
410.09
KB
-rwxr-xr-x
xfs_metadump
782
B
-rwxr-xr-x
xfs_mkfile
1.02
KB
-rwxr-xr-x
xfs_ncheck
685
B
-rwxr-xr-x
xfs_quota
93.98
KB
-rwxr-xr-x
xfs_repair
715.24
KB
-rwxr-xr-x
xfs_rtcp
16.38
KB
-rwxr-xr-x
xfs_spaceman
45.42
KB
-rwxr-xr-x
xqmstats
16.45
KB
-rwxr-xr-x
xtables-monitor
220.8
KB
-rwxr-xr-x
xtables-nft-multi
220.8
KB
-rwxr-xr-x
zdump
20.56
KB
-rwxr-xr-x
zic
52.83
KB
-rwxr-xr-x
zramctl
99.13
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : fix-info-dir
#!/bin/sh #fix-info-dir (GNU texinfo) VERSION=1.1 #Copyright (C) 1998, 2003 Free Software Foundation, Inc. #fix-info-dir comes with NO WARRANTY, to the extent permitted by law. #You may redistribute copies of fix-info-dir #under the terms of the GNU General Public License. #For more information about these matters, see the files named COPYING." #fix-info-dir was derived from update-info and gen-dir-node # The skeleton file contains info topic names in the # order they should appear in the output. There are three special # lines that alter the behavior: a line consisting of just "--" causes # the next line to be echoed verbatim to the output. A line # containing just "%%" causes all the remaining filenames (wildcards # allowed) in the rest of the file to be ignored. A line containing # just "!!" exits the script when reached (unless preceded by a line # containing just "--"). #Author: Richard L. Hawes, rhawes@dmapub.dma.org. # ###SECTION 1### Constants set -h 2>/dev/null # ENVIRONMENT if test -z "$TMPDIR"; then TMPDIR="/usr/tmp" fi if test -z "$LINENO"; then LINENO="0" fi MENU_BEGIN='^\*\([ ]\)\{1,\}Menu:' MENU_FILTER1='s/^\*\([ ]\)\{1,\}/* /' MENU_FILTER2='s/\([ ]\)\{1,\}$//g' TMP_FILE1="${TMPDIR}/fx${$}.info" TMP_FILE2="${TMPDIR}/fy${$}.info" TMP_FILE_LIST="$TMP_FILE1 $TMP_FILE2" TRY_HELP_MSG="Try --help for more information" # ###SECTION 100### main program #variables set by options CREATE_NODE="" DEBUG=":" MODE="" # Total="0" Changed="" while test "$*"; do case "$1" in -c|--create) CREATE_NODE="y";; --debug) set -eux; DEBUG="set>&2";; -d|--delete) MODE="Detect_Invalid";; +d);; --version) cat<<VersionEOF fix-info-dir (GNU Texinfo) $VERSION Copyright (C) 1998 Free Software Foundation, Inc. fix-info-dir comes with NO WARRANTY, to the extent permitted by law. You may redistribute copies of fix-info-dir under the terms of the GNU General Public License. For more information about these matters, see the files named COPYING. Author: Richard L. Hawes VersionEOF exit;; --help) cat<<HelpEndOfFile Usage: fix-info-dir [OPTION]... [INFO_DIR/[DIR_FILE]] [SKELETON] It detects and inserts missing menu items into the info dir file. The info dir must be the current directory. Options: -c, --create create a new info node -d, --delete delete invalid menu items (ignore missing menu items) --debug print debug information to standard error path --help print this help message and exit --version print current version and exit Backup of the info node has a '.old' suffix added. This is a shell script. Environment Variables: TMPDIR Email bug reports to bug-texinfo@gnu.org. HelpEndOfFile exit;; [-+]*) echo "$0:$LINENO: \"$1\" is not a valid option">&2 echo "$TRY_HELP_MSG">&2 exit 2;; *) break;; esac shift done ORIGINAL_DIR=`pwd` if test "$#" -gt "0"; then INFO_DIR="$1" shift else INFO_DIR=$DEFAULT_INFO_DIR fi if test ! -d "${INFO_DIR}"; then DIR_FILE=`basename ${INFO_DIR}`; INFO_DIR=`dirname ${INFO_DIR}`; else DIR_FILE="dir" fi cd "$INFO_DIR"||exit if test "$CREATE_NODE"; then if test "$#" -gt "0"; then if test `expr $1 : /` = '1'; then SKELETON="$1" else SKELETON="$ORIGINAL_DIR/$1" fi if test ! -r "$SKELETON" && test -f "$SKELETON"; then echo "$0:$LINENO: $SKELETON is not readable">&2 exit 2 fi shift else SKIP_READ=yes SKELETON=/dev/null fi else if test ! -f "$DIR_FILE"; then echo "$0:$LINENO: $DIR_FILE is irregular or nonexistant">&2 exit 2 elif test ! -r "$DIR_FILE"; then echo "$0:$LINENO: $DIR_FILE is not readable">&2 exit 2 elif test ! -w "$DIR_FILE"; then echo "$0:$LINENO: $DIR_FILE is not writeable">&2 exit 2 fi fi if test "$#" -gt "0"; then echo "$0:$LINENO: Too many parameters">&2 echo "$TRY_HELP_MSG">&2 exit 2 fi if test -f "$DIR_FILE"; then cp "$DIR_FILE" "$DIR_FILE.old" echo "Backed up $DIR_FILE to $DIR_FILE.old." fi if test "$CREATE_NODE"; then if test "$MODE"; then echo "$0:$LINENO: ERROR: Illogical option combination: -d -c">&2 echo "$TRY_HELP_MSG">&2 exit 2 fi echo "Creating new Info Node: `pwd`/$DIR_FILE" Changed="y" { ### output the dir header cat<<DIR_FILE_END_OF_FILE This is the file .../info/$DIR_FILE, which contains the topmost node of the Info hierarchy, called ($DIR_FILE)Top. The first time you invoke Info you start off looking at this node. File: $DIR_FILE, Node: Top This is the top of the INFO tree This (the Directory node) gives a menu of major topics. Typing "q" exits, "H" lists all Info commands, "d" returns here, "h" gives a primer for first-timers, "mEmacs<Return>" visits the Emacs manual, etc. In Emacs, you can click mouse button 2 on a menu item or cross reference to select it. * Menu: DIR_FILE_END_OF_FILE ### go through the list of files in the skeleton. If an info file ### exists, grab the ENTRY information from it. If an entry exists ### use it, otherwise create a minimal $DIR_FILE entry. # Read one line from the file. This is so that we can echo lines with # whitespace and quoted characters in them. while test -z "$SKIP_READ" && read fileline; do # flag fancy features if test ! -z "$echoline"; then # echo line echo "$fileline" echoline="" continue elif test "${fileline}" = "--"; then # echo the next line echoline="1" continue elif test "${fileline}" = "%%"; then # skip remaining files listed in skeleton file skip="1" continue elif test "${fileline}" = "!!"; then # quit now break fi # handle files if they exist for file in $fileline""; do fname= if test -z "$file"; then break fi # Find the file to operate upon. if test -r "$file"; then fname="$file" elif test -r "${file}.info"; then fname="${file}.info" elif test -r "${file}.gz"; then fname="${file}.gz" elif test -r "${file}.info.gz"; then fname="${file}.info.gz" else echo "$0:$LINENO: can't find info file for ${file}?">&2 continue fi # if we found something and aren't skipping, do the entry if test "$skip"; then continue fi infoname=`echo $file|sed -e 's/.info$//'` entry=`zcat -f $fname|\ sed -e '1,/START-INFO-DIR-ENTRY/d'\ -e '/END-INFO-DIR-ENTRY/,$d'` if [ ! -z "${entry}" ]; then echo "${entry}" else echo "* ${infoname}: (${infoname})." fi Total=`expr "$Total" + "1"` done done }>$DIR_FILE<$SKELETON fi trap ' eval "$DEBUG"; rm -f $TMP_FILE_LIST; exit ' 0 trap ' rm -f $TMP_FILE_LIST exit ' 1 trap ' rm -f $TMP_FILE_LIST echo "$0:$LINENO: received INT signal.">&2 exit ' 2 trap ' rm -f $TMP_FILE_LIST echo "$0:$LINENO: received QUIT signal.">&2 exit ' 3 sed -e "1,/$MENU_BEGIN/d" -e "$MENU_FILTER1" -e "$MENU_FILTER2"<$DIR_FILE\ |sed -n -e '/\* /{ s/).*$//g s/\.gz$// s/\.info$// s/^.*(//p }'|sort -u>$TMP_FILE1 ls -F|sed -e '/\/$/d' -e '/[-.][0-9]/d'\ -e "/^$DIR_FILE\$/d" -e "/^$DIR_FILE.old\$/d"\ -e 's/[*@]$//' -e 's/\.gz$//' -e 's/\.info$//'|sort>$TMP_FILE2 if test -z "$MODE"; then #Detect Missing DONE_MSG="total menu item(s) were inserted into `pwd`/$DIR_FILE" for Info_Name in `comm -13 $TMP_FILE1 $TMP_FILE2`; do if test -r "$Info_Name"; then Info_File="$Info_Name" elif test -r "${Info_Name}.info"; then Info_File="${Info_Name}.info" elif test -r "${Info_Name}.gz"; then Info_File="${Info_Name}.gz" elif test -r "${Info_Name}.info.gz"; then Info_File="${Info_Name}.info.gz" else echo "$0:$LINENO: can't find info file for ${Info_Name}?">&2 continue fi Changed="y" if install-info $Info_File $DIR_FILE; then Total=`expr "$Total" + "1"` fi done else # Detect Invalid DONE_MSG="total invalid menu item(s) were removed from `pwd`/$DIR_FILE" for Info_Name in `comm -23 $TMP_FILE1 $TMP_FILE2`; do Changed="y" if install-info --remove --remove-exactly $Info_Name $DIR_FILE; then Total=`expr "$Total" + "1"` fi done fi # print summary if test "$Changed"; then echo "$Total $DONE_MSG" else echo "Nothing to do" fi rm -f $TMP_FILE_LIST eval "$DEBUG" exit 0
Close